# TODO add a init file, if it is worth
# split data if we can force a rpm to be noarch

Summary:	Battle for Wesnoth is a fantasy turn-based strategy game.
Name:		wesnoth
Version: 0.8.5
Release: 1mdk
License:	GPL
Group:	Games/Strategy
Url:    http://www.wesnoth.org
Source:	http://www.wesnoth.org/files/%{name}-%{version}.tar.bz2
Source1:	%{name}-icon.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: SDL_image-devel SDL_ttf-devel
BuildRequires: SDL_net-devel SDL_mixer-devel
BuildRequires: ImageMagick

%description
Battle for Wesnoth is a fantasy turn-based strategy game.
Battle for control of villages, using variety of units which 
have advantages and disadvantages in different types of terrains and 
against different types of attacks. Units gain experience and advance 
levels, and are carried over from one scenario to the next campaign.


%package -n %{name}-server
Summary: Server for "Battle fo Wesnoth" game 
Group: Games/Strategy

%description -n %{name}-server
This package contains "Battle for wesnoth" server, used to play multiplayer
game without needing to install the full client.


%prep
%setup -q
%configure --datadir=%{_gamesdatadir} --bindir=%{_gamesbindir} --enable-server --enable-editor --with-localedir=%{_datadir}/locale
#perl -pi -e 's|^localedir = .*|localedir=%{_datadir}/locale|' $(find . -name Makefile )

%build
%make

%install

rm -rf $RPM_BUILD_ROOT

%makeinstall datadir=$RPM_BUILD_ROOT/%{_gamesdatadir} bindir=$RPM_BUILD_ROOT/%{_gamesbindir} 
( cd po ; make install DESTDIR=$RPM_BUILD_ROOT )
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}

cp %{SOURCE1}  $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
convert $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png -size 32x32 $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
convert $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png -size 16x16 $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png


# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
needs="x11" \
section="More Applications/Games/Strategy" \
title="Battle For Wesnoth" \
longtitle="A fantasy turn-based strategy game." \
command="%{_gamesbindir}/%{name}" \
icon="%{name}.png"
?package(%{name}): \
needs="x11" \
section="More Applications/Games/Strategy" \
title="Battle For Wesnoth editor" \
longtitle="The map editor of Battle for Wesnoth" \
command="%{_gamesbindir}/%{name}_editor" \
icon="%{name}.png"
EOF

%find_lang %{name} --all-name

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc changelog COPYING copyright INSTALL MANUAL MANUAL.* README
%exclude %{_gamesbindir}/%{name}d
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_liconsdir}/%{name}.*
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_mandir}/*/%{name}.*
%{_mandir}/*/%{name}_editor.*

%files -n %{name}-server
%defattr(-,root,root,0755)
%{_gamesbindir}/%{name}d
%{_mandir}/*/%{name}d.*

%changelog
* Tue Oct  5 2004 Michael Scherer <misc@mandrake.org> 0.8.5-1mdk
- New release 0.8.5

* Mon Sep 13 2004 Michael Scherer <misc@mandrake.org> 0.8.4-2mdk
- Fix language

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Fri Aug 27 2004 Michael Scherer <misc@mandrake.org> 0.8.3-1mdk
- New release 0.8.3
- do not bzip2 icons
- correct menu


* Sun Aug 15 2004 Michael Scherer <misc@mandrake.org> 0.8.2-1mdk
- New release 0.8.2

* Tue Aug  3 2004 Michael Scherer <misc@mandrake.org> 0.8.1-1mdk
- New release 0.8.1

* Fri Jul  2 2004 Michael Scherer <misc@mandrake.org> 0.8-1mdk
- New release 0.8

* Mon Jun 28 2004 Michael Scherer <misc@mandrake.org> 0.7.11-1mdk
- New release 0.7.11

* Mon Jun 21 2004 Michael Scherer <misc@mandrake.org> 0.7.10-1mdk
- New release 0.7.10

* Fri Jun 11 2004 Michael Scherer <misc@mandrake.org> 0.7.9-1mdk
- New release 0.7.9

* Sun Jun 06 2004 Michael Scherer <misc@mandrake.org> 0.7.8-2mdk 
- rebuild for new gcc

* Fri May 28 2004 Michael Scherer <misc@mandrake.org> 0.7.8-1mdk
- New release 0.7.8

* Thu May 20 2004 Michael Scherer <misc@mandrake.org> 0.7.7-1mdk
- New release 0.7.7

* Tue May  4 2004 Michael Scherer <misc@mandrake.org> 0.7.6-1mdk
- New release 0.7.6

* Mon Apr 26 2004 Michael Scherer <misc@mandrake.org> 0.7.5-1mdk
- New release 0.7.5

* Sun Apr 18 2004 Michael Scherer <misc@mandrake.org> 0.7.3-1mdk
- New release 0.7.3

* Thu Apr  8 2004 Michael Scherer <misc@mandrakesoft.com> 0.7.2-1mdk
- New release 0.7.2


* Sat Apr 03 2004 Michael Scherer <misc@mandrake.org> 0.7.1-1mdk 
- 0.7.1

* Sun Mar 21 2004 Michael Scherer <misc@mandrake.org> 0.7-1mdk
- 0.7
 
* Wed Dec 17 2003 Michael Scherer <misc@mandrake.org> 0.6.1-1mdk
- 0.6.1
 
* Sat Dec 13 2003 Michael Scherer <misc@mandrake.org> 0.6-2mdk
- split server from the package
- add editor to menu
 
* Fri Dec 12 2003 Michael Scherer <misc@mandrake.org> 0.6-1mdk
- 0.6
- fix BuildRequires
- use configure
 
* Mon Nov 10 2003 Michael Scherer <scherer.michael@free.fr> 0.5.1-1mdk 
- 0.5.1

* Sat Nov 01 2003 Michael Scherer <scherer.michael@free.fr> 0.5-1mdk 
- import into contribs, with a spec file from Jay Hopping <jayhopping@myrealbox.com>
